Update an account | Moov Documentation
Update an account
When can profile data be updated:
- For unverified accounts, all profile data can be edited.
- During the verification process, missing or incomplete profile data can be edited.
- Verified accounts can only add missing profile data.
When can't profile data be updated:
- Verified accounts cannot change any existing profile data.
If you need to update information in a locked state, please contact Moov support.
To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/profile.write scope.
PATCH
/accounts/{accountID}
Ask
curl -X PATCH "https://api.moov.io/accounts/{accountID}" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.07.00"
Ask
mc, _ := moov.NewClient()
account := moov.Account{
AccountID: "accountID",
AccountType: moov.AccountType_Business,
Profile: moov.Profile{
Business: &moov.Business{
OwnersProvided: true,
},
},
}
mc.UpdateAccount(ctx, account)
Ask
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.accounts.update({
accountID: "433cb9d1-5943-4fd5-91b4-2aef5b30e2e7",
patchAccount: {
profile: {
individual: {
name: {
firstName: "Jordan",
middleName: "Reese",
lastName: "Lee",
suffix: "Jr",
},
phone: {
number: "8185551212",
countryCode: "1",
},
email: "jordan.lee@classbooker.dev",
address: {
addressLine1: "123 Main Street",
addressLine2: "Apt 302",
city: "Boulder",
stateOrProvince: "CO",
postalCode: "80301",
country: "US",
},
birthDate: {
day: 9,
month: 11,
year: 1989,
},
},
business: {
businessType: "llc",
address: {
addressLine1: "123 Main Street",
addressLine2: "Apt 302",
city: "Boulder",
stateOrProvince: "CO",
postalCode: "80301",
country: "US",
},
phone: {
number: "8185551212",
countryCode: "1",
},
email: "jordan.lee@classbooker.dev",
taxID: {
ein: {
number: "12-3456789",
},
},
industryCodes: {
naics: "713940",
sic: "7991",
mcc: "7997",
},
industry: "electronics-appliances",
},
},
metadata: {
"optional": "metadata",
},
termsOfService: {
manual: {
acceptedIP: "172.217.2.46",
acceptedUserAgent: "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/94.0.4606.71 Safari/537.36",
},
},
customerSupport: {
phone: {
number: "8185551212",
countryCode: "1",
},
email: "jordan.lee@classbooker.dev",
address: {
addressLine1: "123 Main Street",
addressLine2: "Apt 302",
city: "Boulder",
stateOrProvince: "CO",
postalCode: "80301",
country: "US",
},
},
},
});
console.log(result);
}
run();
Ask
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\